# Generated from protozaur-1.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name protozaur

Name: rubygem-%{gem_name}
Version: 1.1.0
Release: 1%{?dist}
Summary: Protozaur CSS framework
License: MIT
URL: http://github.com/the-teacher/protozaur
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Protozaur CSS framework. Epic css framework.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_instdir}/bower.json
%{gem_instdir}/gulp
%{gem_libdir}
%{gem_instdir}/package.json
%{gem_instdir}/ptz
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docs
%{gem_instdir}/protozaur.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 1.1.0-1
- Initial package
